CSVI Free
Author: RolandD Cyber Produksi (contact@csvimproved.com)
Website: http://www.csvimproved.com/
Version: 5.15
Date: 1 december 2013
Status: $Id: changelog.txt 2549 2013-11-26 01:42:51Z RolandD $

Legenda:
+ Added
- Removed
* Fixed
/ Changed

Changelog
Version 5.12
Import
* Fixed available fields not always set
/ Cleanup some code
* Fixed VirtueMart category and manufacturer import options

General
* Fixed database error on installation

About
/ Changed the Magic Quotes check

Version 5.11
General
/ Changed the installation routine

Version 4.5.5
Import
* Fixed custom fields not added correctly

Export
* Fixed the shopper_group_name and shopper_group_name_price fields

Version 4.5.4
Import
* Fixed price shopper group check on VirtueMart Product import
* Fixed images path not taken on VirtueMart Product import
* Fixed product slug on VirtueMart Product import
* Fixed VM version not available
* Fixed manufacturer category import on VirtueMart Manufacturer Category import

Version 4.5.3.2
Export
* Fixed custom paramater delimiter in VirtueMart Product export

Version 4.5.3.1
Import
* Fixed missing config helper

Version 4.5.3
Import
* Fixed a missing table file

Version 4.5.2
Import
* Fixed fatal error in VirtueMart Product import for shopper groups
+ Added shopper_group_name_price to VirtueMart Product import
* Fixed product discount price missing mathop for VirtueMart Product import
* Fixed images in subfolders on VirtueMart Product import
* Fixed images in subfolders on VirtueMart Media import
* Fixed issues with accented characters in error reporting
/ Updated newly created manufacturers are assigned a category on VirtueMart Product import
* Fixed product_packaging and product_box on VirtueMart Product import

Export
* Fixed issue with price field exports

General
/ Let cron use hostname from settings
* Fixed export template not show source

Version 4.5.1
Import
* Fixed manufacturer slug being recreated on VirtueMart Product import
/ Changed custom values separator from | to ~
/ Changed system limits only applied if they have a value

Export
* Fixed export limits
+ Added front-end download option
* Fixed cron export

General
- Removed option to delete CSVI backup tables (tables are no longer created)
+ Added Live Update

Version 4.5
Import
+ Added multiple shopper groups for VirtueMart product import
* Fixed VirtueMart user info import
* Fixed fatal error on VirtueMart manufacturer category details import
* Fixed shopper group not stored for product

Export
* Fixed VirtueMart category export
* Fixed front-end export

Version 4.4
Import
+ Added product_discount_id to VirtueMart Product import
/ Updated override value for VirtueMart Product import
* Fixed product_discount on VirtueMart Product import

Export
/ Fixed VirtueMart user info export

General
/ Updated installer

Version 4.3
Import
- Removed setting manufacturer category to 1 on VirtueMart Product import
- Removed automatic setting override option
/ Fixed wait time not being applied
+ Added removal of manufacturer images on deletion of VirtueMart manufacturers
+ Added multi-language support to VirtueMart Category import

Export
* Fixed min_order_level on VirtueMart Product export
* Fixed max_order_level on VirtueMart Product export
/ Changed VirtueMart Product export to handle VirtueMart core changes in prices
/ Fixed some possible issues on loading VirtueMart order export page
* Fixed possible warning with category_id export

General
+ Added some info about the site to the About dialog
/ Changed PHP requirement to PHP 5.2
/ Fixed replacements being stripped
- Removed built-in version check, now using Joomla version check

Version 4.2
Import
* Fixed product discount with a % sign
+ Added file_url and file_url_thumb fields to VirtueMart Product export
+ Added min_order_level and max_order_level to VirtueMart product import
+ Added product_override_price to be converted to dots
* Fixed product currency on VirtueMart product import
* Fixed undefined warning on VirtueMart manufacturer import
* Fixed stockable child products issue on VirtueMart product import
+ Added VirtueMart Product import stockable variants
+ Added support for new VirtueMart customtitle field on categories and products
- Removed category_path constraint for child products

Export
* Fixed category selector on VirtueMart products
* Fixed manufacturers selection list
+ Added file_url and file_url_thumb fields to VirtueMart Product export

Version 4.1
Import
* Fixed I'm Mac option
* Fixed image name generation
* Fixed cron not using template override
* Fixed prices containing commas
* Fixed product discount ID not using -1
* Fixed image handling
* Fixed product_discount in VirtueMart product import
+ Added product_override_price in VirtueMart product import

Export
* Fixed missing custom field export
* Fixed manufacturers selection list

Version 4.0.1
Import
* Fixed VirtueMart transliteration
* Fixed image options
* Fixed VirtueMart product import custom fields missing ID field

Export
* Fixed VirtueMart category details export
* Fixed export to e-mail
* Fixed VirtueMart media import not linking to products
+ Added Akeeba subscriptions export options
* Fixed VirtueMart calculation rule category export
* Fixed VirtueMart rating export publish field
* Fixed VirtueMart shopperfield export publish field

Replacement
/ Changed replace field not to be mandatory

General
+ Added always load en-GB as backup language
/ Changed use of INFORMATON_SCHEMA as shared hosts don't always allow this

Version 4.0
General
/ Major rewrite to work with Joomla 2.5 and VirtueMart 2.0

Version 3.7
Import
* Fixed product files import for non-images
* Fixed combine separator for categories
* Fixed order item import not showing log information
+ Added Billing address and shipping address options to address_type
* Fixed checking uppercase image extension

Export
* Fixed product type names export
* Fixed adding signature gives empty column
* Fixed missing producttypenames field on product export

Version 3.6
Import
* Fixed import not taking template text enclosure
+ Added setting for processing images
* Fixed product type parameters import

Export
* Fixed logdetails link
* Fixed product currency not applied
* Fixed price conversion not working
* Fixed setting the memory limit
+ Added product_type_name to product type parameters export

General
+ Added component name to template types

Version 3.5
Import
+ Added reset of child products when parent product gets deleted
+ Added option to skip non-existing files in the product files import
* Fixed child products attributes
/ Reset counters if import crashed
* Fixed product type names import not correctly checking product ID
* Fixed session not to be overloaded
* Fixed thumbnails not created when create image name from product SKU
+ Added import overrides (like Joomla template overrides)
+ Added remember last used template
+ Added support for VMF
* Fixed looking for product currency
* Fixed checking for existing multiple price
* Fixed producttypenames expecting a comma
+ Added possibility to add fields not in import file

Export
* Fixed fieldname not used when column header is empty
* Fixed attribute_with_tax field
+ Added shipping fee table for shopper sites
- Removed default value for decimal separator
- Removed default value for thousand separator
+ Added product price filter
+ Added export overrides (like Joomla template overrides)
/ Updated Google Base export to handle tax field
+ Added support for VMF
* Fixed price_with_discount being incorrect when using fixed value

Maintenance
/ Changed the loading of available fields
+ Added option to unpublish published products in unpublished categories
+ Added option to delete CSVI VirtueMart backup tables

General
* Fixed configuration settings lost between updates
* Fixed filtering with the log details
/ Changed storing of files in the administrator/cache folder to the tmp folder
+ Added list of available template types and explanation
* Fixed settings being reloaded on every request
/ Changed cron to work with : instead of . for separation of commands
+ Added support for Admin Tools secret word

Version 3.4.1
Import
* Fixed missing available fields

Version 3.4
Import
/ Improved import performance
* Fixed import timer when using preview
* Fixed product type names import when using product_type_id field
+ Added ICEcat tolerant matching MPN
/ Improved image handling

Export
+ Added option to only export parent products and products without children
+ Added option to only export child products and products without children
* Fixed field check not returning correct value
* Fixed front-end export
+ Added category state filter to product export

General
* Fixed Update button on Available Fields page

Version 3.3.1
Import
* Fixed jumping around of radio buttons
* Fixed related products
* Fixed thumbnail import to lose / in http://

Export
* Fixed jumping around of radio buttons
+ Added check for combine field

General
+ Added German language
* Fixed hardcoded jos in installation
- Removed VirtueMart check

Version 3.3
Import
* Fixed fatal error Call to undefined method CsviLog::AddStat()
+ Added timer and progressbar
/ Improved handling of unknown extensions
/ Updated cron handling in case of errors
* Fixed the manufacturer xref not created when only importing manufacturer_name
/ Not force the path settings

Export
/ Not force the text enclosure
* Fixed sh404SEF URLs on cron export
* Fixed category_path not using CDATA

Maintenance
/ Cleaned up sample templates
+ Added staggered import for ICEcat index file
+ Added gzip option for ICEcat
/ Cleaned up functions

General
* Fixed XML nodes map not being converted

Version 3.2.3
Export
* Another go at fixing the custom table handling

General
* Fixed available fields showing wrong fields

Version 3.2.2
Import
* Fixed custom table not showing on loading template

Export
* Fixed custom table not showing on loading template
* Fixed custom table not showing when only 1 selected

General
* Fixed Empty Database warnings
/ Updated ICEcat loading

Version 3.2.1
General
* Fixed Settings could not be saved

Version 3.2
Import
/ Improved error messaging on import errors
* Fixed import failing when using template fields
* Fixed import looping when running into maximum execution time limit
* Fixed result page when not saving log reports
/ Updated replacements to be editable after saving

Export
* Fixed category tree not showing more than 2 levels
* Fixed frontend XML/HTML export fatal error
/ Updated replacements to be editable after saving

General
+ Added Settings reset button
* Fixed website not showing on HTML selection
+ Added _POST variables to cron

Version 3.1
Import
* Fixed cancel button not going back to import screen
+ Added tax rates import
* Fixed fatal error when uploading a file with .txt extension
* Fixed fatal error when importing XML with fieldnames
* Fixed 0 values being ignored
+ Added waiting list import

Export
/ Made replacement feature work more granular
* Fixed JoomFish languages not being shown
+ Added tax rates export
+ Added waiting list export

Maintenance
* Fixed logdetails on maintenance result screen
+ Added more options to load ICEcat indexes
* Fixed ICEcat index file not importing

General
* Fixed toolbar buttons Log page not working
/ Updated help pages
* Fixed custom tables not showing when only 1 selected
+ Added FlexTax (http://www.virtuemartflextax.com/) support
/ Updated installer

Version 3.0
Import
/ Changed layout to include all settings
+ Added replacement option
+ Added load file from FTP
/ Changed unsupported fields are now skipped, import will use known fields found
/ Improved status reporting
* Fixed user fields import not adding new user fields
/ Improved the preview
+ Added option to import based on SKU, MPN or child SKU
+ Added product type names to the product import
+ Added option to change case of image name
+ Added option to empty image data if image does not exist
+ Added option to keep original image files
+ Added option to check thumbnail file type
* Fixed memory limit of -1 not set correctly
+ Added cleanup for prices that use currency
+ Added ICEcat integration for product import
+ Added ICEcat integration for product type names import
+ Added ICEcat integration for product files import
+ Added custom tables import
+ Added quick add fields option
+ Added combining of fields
+ Added option to load file from URL
+ Added manufacturer_delete field to allow deleting manufacturers
+ Added resizing of full images
+ Added category separator setting

Export
/ Changed layout to include all settings
+ Added replacement to export template
+ Added FTP support
* Fixed time field on review export
* Fixed cdate, mdate and product price on multiple prices export
* Fixed coupon_value on coupon export
* Fixed shipping_rate_value and shipping_rate_package_fee on shipping rates export
* Fixed shopper_group_discount on user info export
+ Added published filter to category, reviews, product type, product files export
/ Frontend export shows the URL it was called from in the log
+ Added combining of fields
* Fixed category details export grouping too greedy
+ Added product name to multiple prices export
+ Added date and time modifiers to the export filename
+ Added product type names to product export
* Fixed child product URLs on export
+ Added AceSEF support
+ Added collect debug support
+ Added custom tables export
+ Added option to also select subcategories when only parent categories are selected
+ Added JoomFish translation
+ Added quick add fields option
+ Added sort option
+ Added header/footer options
+ Added cutomized XML exports
+ Added category separator setting
/ Updated product SKU filter to allow for more SKU's

General
- Removed replacement view
- Removed template view
- Removed template fields view
+ Added automatic log cleanup
+ Added log settings
+ Added line limit to debug log settings
+ Added version check
+ Added internal help system
/ Upgraded jQuery to version 1.4.4
/ Upgraded jQuery UI to version 1.8.6
+ Added log details view with filters
+ Added create option for missing folders
/ Updated the complete language file
* Fixed missing ; on comments in database backup
+ Added installer
+ Added template backup/restore
+ Added help files

Version 2.3.18.1
Import
* Fixed Call to undefined method TableCsvivirtuemart_templates::getValue()
* Fixed product files import not finding image
* Fixed memory check if set to -1

Export
- Removed check if any templates are defined
* Fixed mail not being sent over SMTP

Version 2.3.18
Import
* Fixed product price to be emptied when importing as unpublished field
* Fixed XLS preview to be moved over 1 column
* Fixed memory setting of -1 appplied incorrectly

Export
* Fixed the encryption key not being read correctly
* Fixed product type names export getting confused of duplicate column names
+ Added product name to multiple prices export
+ Added AceSEF support
+ Added export filename customizing with date and time tags
* Fixed product price export not being formatted correctly on multiple prices export

General
/ Cleaned up log report by removing duplicate line number

Version 2.3.17
Import
* Fixed non-image product files
+ Added remote file check (thanks Phil)

Maintenance
* Fixed possible undefined error on removing empty categories

Version 2.3.16.1
Import
* Fixed fatal error when cleaning filename

Version 2.3.16
Import
+ Added custom fields import for product files
+ Added support for default values for XML import (thanks Phil)
* Fixed attribute on a non-record node (thanks Phil)
* Fixed fatal error on import when creating image name based on product ID

Version 2.3.15.1
Import
* Fixed a code error on the product type parameters import
* Fixed fields for order item import

Version 2.3.15
Import
/ Change the handling of product_box and product_packaging. They both need to be used.
* Fixed handling non-image files in another folder
* Fixed mixed case headings on import (thanks Phil)
+ Added suppression of error messages when resizing images (thanks Phil)
* Fixed problems with remote URLs (thanks Phil)
* Fixed error messages on cron usage (thanks Phil)
* Fixed BOM check
+ Added support for customer number

Export
/ Updating SEF export
+ Added full_name and order_status_name to order item export

Version 2.3.14
Import
* Fixed category details import not handling images
* Fixed issue with shopper_group_id

Export
* Update the cron generator
* Fixed product type names export matching wrong tablename
* Fixed category_name in product export

General
/ Further improvements in image handling

Version 2.3.13
Import
* Generated image name gets extension none
/ Polish up image handling
* Fix possible warnings on reading column headers

Export
+ Added export filters to Basic export
+ Added more price fields to use the price format from the template
+ Added option to turn of SEF URL generation on export

Replacement
- Removed automatic adding of / before and after regular expression to support modifiers
+ Added confirmation on replacement delete

General
/ Update jQuery to version 1.4.2
/ Improved domain name parsing
+ On installation whitelist CSVI VirtueMart with RS Firewall (thanks to the RS Firewall team)

Version 2.3.12
Import
* Fixed field order for XML files
/ Rename selectfile to choosefile to prevent false/positive
+ Added Collect debug information to basic import
/ Workaround for MySQL bug (http://bugs.mysql.com/bug.php?id=37521)

Export
+ Added filter for exporting featured products
+ Added support for JoomSEF SEF URLs
+ Added support for Joomla SEF URLs
+ Added template system limits to export
+ Added modification date to export filter for user info export

General
/ Improved writable folder check

Version 2.3.11
Import
/ Improved cron support
/ Improved order import details
* Fixed order items import
* Fixed order import
/ Improved image handling
/ Improved support for downloadable files
* Fixed a download issue with non-image product files
* Fixed category image handling

Export
* Fixed front-end export not showing domainname
* Fixed some undefined errors on e-mail export

General
+ Added a log viewer

Version 2.3.10
Import
+ Added products per row from VirtueMart config when creating a category on product import
/ More work on the product files import
* Fixed misaligned columns when using template fields
/ Changed order import behavior. Orders can now be imported with an order ID.

Export
+ Added signature to cron export generator
/ Better handling of exporting non-existing product type names

General
+ Added overview of folder permissions
* Fixed incorrect fields on sample templates
+ Added more sample templates (order import, order item import)
+ Added folder checks in About section

Version 2.3.9
Import
* Fixed external image on product files import
* Fixed XLS file eating first column
* Fixed preview using template fields
/ Changed product_discount to properly handle a value of 0

Export
+ Added option to add a UTF-8 signature (BOM) on export

Version 2.3.8
Import
* Fixed product stock import
* Fixed product files import
* Fixed preview not showing when Import lines set to 0
* Fixed first line not being skipped in preview
+ Added some runtime statistics to cron import

Templates
* Fixed pasting of file paths

Version 2.3.7
Import
* Fixed remote images import
/ Improved error reporting on preview screen
+ Added use of template ID for cron import
* Fixed XLS import

Templates
+ Added template ID to templates list

General
+ Added another JPEG signature

Version 2.3.6
Import
* Fixed XLS import
* Fixed XML mixed case column headers

Export
* Fixed price_with_discount sometimes calculate incorrectly

General
* Fixed an issue with installing sample templates
/ Minor changes for Joomla 1.6 compatibility
+ Added update button on the Available Fields button
* Fixed Empty categories deleting too many categories

Version 2.3.5
Import
/ More work on the image handling

Export
* Fixed product type names export not to use replacement

Templates
+ Added confirmation dialog for deleting template
+ Added existing available fields check for the template fields

General
/ Some changes to the cron handler
* Fixed error in case of non-existing template in replacement

Version 2.3.4
Import
* Fixed broken product type parameters import
* Fixed cron import
/ Always uppercase product currency

Export
+ Added order ID list selection
* Fixed category details export to be filled with fieldnames in case field is empty
* Fixed user info export

General
+ Added the column Cancelled on log view to see if an import was cancelled
+ Added filter on the Log view

Version 2.3.3
Import
* Fixed duplicate data on product files import
+ Added a number of options for image handling
/ Improved error handling in preview
/ Rewrote image handling

Export
* Fixed a possible error using the regex replacement
* Fixed price format and this time it should really be fixed
/ Updated export result screen
/ Better handling if no export fields are chosen
/ Better handling of the basic export
+ Added general export options to the basic export
* Fixed front-end export not creating a unique ID

General
* Fixed the sample templates

Version 2.3.2
Import
+ Added basic import
+ Product price can now contain thousand separator e.g. 1,300.25 or 1.300,25
* Fixed product files thumbnail not always having correct name
* Fixed using wrong path name on image check

Export
* Fixed price format
+ Added basic export
* Fixed a number of small issues

Templates
- Removed replace field as it is superseded by the Replacement section

General
+ Added PHP requirement to installation routine

Version 2.3.1
Import
* Fixed first line being imported
* Fixed products always being unpublished
* Fixed preview not always showing
* Fixed incorrect column check
/ Cleaned up import files
* Fixed shopper group ID not to update correctly on user info import
* Fixed vendor ID not to update correctly on user info import
* Fixed maintenance not working via cron (Thanks Erik)

Replacement
+ Added option to clone replacement
* Fixed pagination to not load all templates

General
+ Added result counters to Replacement, Available Fields and Templates lists
+ Added sample templates for user info import/export

Version 2.3
Import
* Fixed import hang
+ Added advanced XML import (thanks Phil)
* Fixed image resizing not handling uppercase extensions
+ Added support for mixed case fieldnames (thanks Phil)
/ Changed product_cdate to always be applied if supplied
* Fixed external image URLs not creating thumbnails

Replacement
* Fixed field name not being stored when adding a new replacement

Export
* Fixed some fields not being replaced

General
/ Changed defaults for text delimiter to , and text enclosure "

Version 2.2.1
Import
/ Changed first line check to handle text delimiters in strings (thanks Phil)
* Fixed missing files for order item export
* Fixed skipping a line too many with XLS import

Export
* Fixed missing files for order item export
* Fixed category export not grouping on category_name

General
/ Updated log layout
/ Updated installer package layout

Version 2.2
Import
+ Added order import
+ Added order items import
+ Added support for encrypted user passwords. Use the field password_crypt
+ Added support for image URLs without image name

Export
+ Added order payment method for order export
/ Changed handling of price format. Check your templates if you customized it !!
* Fixed price quantity start from and price quantity end
+ Added order items export

Maintenance
+ Added VirtueMart backup
* Fixed public_html been given 777 permission

General
* Fixed log details not always showing up
* Fixed SQL error on installation
* Fixed deprecated messages
- Removed all languages except English due to being too old

Version 2.1.3
Export
* Fixed manufacturer details export not exporting data
/ Improved the SEF url export for products
/ Updated domain name handling using cron
* Fixed replacement not working as should for product exports

General
* Fixed Invalid argument warning on using Clean cache
* Fixed Argument #1 is not an array on using Clean cache

Version 2.1.2
General
* Fixed installer not creating export price format column

Version 2.1.1
Import
* Fixed skipping first line issue (thanks Phil)
+ Added timer to check for possible script termination
* Fixed import hangs when image is corrupted

Export
+ Added select options for multiple price groups

Templates
+ Added check if website is chosen for XML export
+ Added option to set price format output
- Removed the Column Header field for import templates

General
* Fixed old logs not deleted (thanks Phil)
+ Added finer control over the replacement, is now set per field
+ Added field order when using Quick Add

Version 2.1
Import
* Fixed attribute_with_tax not handling prices in thousands correctly
* Fixed LOCAL_FILE_DOESNT_EXIST on import with preview
+ Added unlimited import
* Fixed product type names import not finding new product IDs
/ Check for valid image creation on generating thumbnails
* Fixed shipping rates import
* Fixed product type names import not importing on different case
+ Added cancel button to import process

Export
* Really fix the product_url
* Fixed user details export
+ Added order last modified date to selection criteria

Templates
+ Add input filter to template list

General
/ Keep configuration between new installations
/ Change installation to check if old CSV Improved tables exist
/ Updated log handling
+ Added clear cache to maintenance
+ Added number of preview lines in the settings
/ Updated Hungarian language
* Fixed calendars not working on order options

Version 2.0.2
Import
+ Added option to import zip files (only 1 file per zip for now)
* Cleanup after imported file is no longer needed
/ Expanded debug report
* Fixed Fatal error: Class 'CsvimprovedModelAvailablefields' not found on Product Type Parameters import
* Fixed product price not set correctly
/ Changed product_tax behavior to do nothing when field is empty
* Fixed numerous issues in the product type name import
+ Added support for image SEF urls

Export
/ Changed product type parameter names export, can now mix different parameter types
* Fixed front-end export not working in subdomain
* Fixed Column 'list_order' in field list is ambiguous on order export
/ Updated the replacement during export

General
+ Added Czech language thanks to Komanche
* Fixed Update available fields overwriting other product_type_x tables except last one
/ Clean up for PHP 5.3 compatibility

Version 2.0.1
Import
/ Fixed delimiters not always set correctly
/ Fixed category_path mistaken for category_id

Export
/ Fixed product_url missing domain name
/ Fixed picture_url missing forward slash

General
+ Added product_type_x fields to the list of available fields
+ Added search filter to available fields page
/ Fixed sorting on available fields page
/ Updated French language

Version 2.0
Import
/ Improved shopper group ID check
* Fixed product_files_url for downloadable products
+ Added category browse and flypage to new category creation
* Fixed product type names to lose HTML formatting
+ Added option to store remote images on the server
+ Added option to auto-generate imagenames based on SKU
+ Added option to unpublish products before import
* Fixed possible crash if template type not found on import
+ Added option to auto-detect CSV delimiter and enclosure characters
* Fixed several issues with product files import
+ Added category_delete field
+ Added field attribute_with_tax
* Fixed product_discount_id keeps previous value
+ Added userfields import
+ Added product reviews import
+ Added product_files_delete option
+ Added calculations to product_in_stock field
/ Improved product manufacturer relation check

Export
* Fixed attribute export causing undefined error
+ Added initialisation of big SQL selects
+ Added replacement feature
+ Added Google Base channel header
+ Added e-mail export option
* Fixed child products not being exported with category filter
* Fixed non-existing product discounts to export as 0.00
+ Added option to choose VirtueMart Item ID
* Fixed issues with sh404SEF
+ Added category_name to productexport
+ Added field attribute_with_tax
+ Added userfields export
+ Added product reviews export
+ Added cron command line generator
+ Added HTML export format
+ Added front-end export
/ Fixed multiple category id export

Templates
+ Added Quick Template Fields

General
* Fixed cron not using language file
* Fixed cron not using domain name
+ Added replacement table
+ Added maintenance option to cron support
+ Added settings screen
* Fixed tooltips on import/export screen
/ A lot of optimizations done to product import
+ Added option to not store logging
+ Added global category separator
+ Added sorting to Available Fields
+ Added sorting to Templates List
/ Moved sample templates to maintenance section
/ Updated German language

Version 1.9
Import
+ Added support for ignoring empty lines thanks to doorknob
* More fixing of thumbnail creation
+ Added message on preview screen to click Import
* Fixed template fields import not importing duplicate fields
* Fixed category details import to not always look for category_id
* Fixed user info import to not handle user_info_id correctly
+ Added extra signature for JPG files
+ Added test check for delimiters on import failure

Export
* Fixed price_with_discount export
* Fixed price_with_tax export not to remove too many 0
* Fixed writing to file garbles UTF-8 text
* Fixed export results not being shown
* Fixed undefined property with custom fields on coupon export
* Fixed export with same field names to use only the last
+ Added condition field to Google Base sample as this is now a required field
* Fixed Unknown column 'jos_vm_order_user_info.first_name' in 'field list'
* Fixed product type names export to be empty when choosing Don't use

Templates
+ Added template name when editing template
+ Added option to specify different kind of paths
* Fixed field order ID to follow the highest order number

General
+ Added delete all option for log entries
+ Added support for multiple select boxes to cron
+ Added another jpeg signature
+ Added German translation thanks to crissxcross
/ Updated French translation
/ Updated Hungarian translation
/ Updated Brazilian-Portugese translation
/ Updated Slovenian translation

Version 1.8.1
Import
* Fixed Fatal error: Call to undefined method TableVm_product::setValue()
Export
* Fixed export could give error not using product_sku

Version 1.8
Import
* Fixed external images not being resized
* Fixed shopper_group_id ignored on user info import
* Fixed shopper_group_name not foud on user info import
/ Changed product file import to use thumbnail sizes from template setting when not creating thumbnail
* Fixed thumbnail creation for subfolders. A resized folder MUST be specified now.
* Fixed file_url to be always the same for product files import
/ Changed import not to stop on error but only report it
* Fixed user info import not creating shopper vendor xref
* Fixed user info import not to create a name for Joomla user
* Fixed product files import causing index.php on file download
* Fixed shopper <--> vendor relation for user
* Fixed undefined errors on userinfoimport
* Fixed product_packaging being reset to 0
* Fixed double / in product_url
+ Added product stock import
* Fixed Not overwrite existing data always return product exists when disabled
* Fixed manufacturer details import not working without manufacturer_id
* Fixed template fields import not handling "not overwrite existing data" correctly
* Added check if category_name matches category_path
/ Updated memory usage check
* Fixed incorrect import when using category_path and category_id in upload file
* Fixed product files thumbnail not being put in resized/ folder
+ Added modal window to show template fields
* Fixed undefined error in case of incorrect attribute

Export
* Fixed undefined error for export filename
+ Added sh404SEF URLs for product URL export
* Fixed missing product_box field
+ Added modal window to show template fields

General
+ Added Russian translation thanks to progressor
/ Updated Slovenian translation
/ Updated French translation
/ Updated Hungarian translation

Version 1.7
Import
* Fixed bug where filename loses first character on the product files import
* Fixed fatal error when overwrite data is unchecked
* Fixed fatal error with ToPeriod function
* Fixed product_mdate and product_cdate not being processed
* Fixed category list order not being processed
+ Added Joomla user details to user info import
* Fixed XML import not using first entry
+ Added shipping rates import
* Improved product deletion
* Fixed manufacturer ID import
+ Added comma to period conversion on multiple prices import
+ Added detailed output on column mismatch
+ Added option to import selected columns
/ Changed filename handling for product files
+ Added check for category details import if category_name matches category_path

Export
+ Added payment method to order export
* Fixed template export not showing template selection list
* Fixed template fields export not showing template selection list
* Fixed order export to fail on a number of fields
+ Remove slashes in vendor name on user info export
+ Added country name to order export
+ Added Joomla user details to user info export
* Fixed category details export
+ Added shipping rates export
+ Added currency conversion on export
* Fixed missing product_box

Templates
+ Added option to add currency to price on export

Maintenance
+ Added product files table to emtpy database
+ Added option to remove empty categories

General
+ Added Portugese translation thanks to dadus
+ Added Brazilian Portugese translation thanks to Igaeta
+ Added French translation thanks to ahamel
+ Added Hungarian translation thanks to dkg11hu
* Fixed control panel images and links
+ Added template name to log view
+ Added Slovenian translation thanks to VidKo
+ Added Swedish translation thanks to cpthaddock
+ Added Dutch translation thanks to djors

Version 1.6
Import
+ Added coupon import
/ Updated thumbnail creation process to check for sensible thumb sizes
* Fixed product files import creating duplicate entries
* Fixed product type names import warning if product type does not exist
* Fixed vendor_id returning no result

Export
* Fixed product with discount has no tax
+ Added stock level values to product export
+ Added user-interactive user selector
+ Added user-interactive product selector
* Fixed Product Type Names not exporting column headers
/ Changed product type names export not to force lowercase
+ Added coupon export
* Fixed product files export
* Fixed manufacturer details export not working
+ Added product_files_download to product files export
+ Added product SKU filter for product export
+ Added product type name filter
* Fixed product_attribute not using CDATA

Maintenance
+ Added confirmation message to database delete
+ Added option to resize product name field

General
+ Added jQuery for improved GUI
+ Added Croation language thanks to tatamata

Version 1.5.2.1
Export
* Fixed category export being ignored
+ Added multiple category selection

Version 1.5.2
Import
* Fixed error when only importing manufacturer ID
* Fixed incorrect preview
/ Changed processing of related SKU's to be more efficient

Export
* Fixed product export when manufacturer is set
* Fixed fatal error when mysqli is set as database handler
* Fixed vendor_id not exporting
* Fixed delimiters not duplicated if they occur in the text
/ Made group by checkbox checked by default
+ Added order export option to export shipping address in case it exists
+ Added category selection to product export

Templates
+ Added filter for import/export templates

General
* Fixed license check
/ Updated folder layout

Version 1.5.1
Import
* Fixed manufacturer not assigned to first product if manufacturer doesn't exist
/ Changed handling of auto creating thumbnails
+ Added auto creating thumbnails for category details import
+ Added some performance tweaks
/ Changed import routine to stop immediately when timeout has been reached
/ Changed product type names import to only update the parameters specified in uploaded file

Export
* Fixed incorrect flypage as VirtueMart config is ignored
* Fixed group by not ignoring a few custom fields
+ Added option to set date format on export templates

General
* Fixed cron not logging out user
/ Changed informational messages to be no longer classified as success
* Fixed some undefined errors in the logging
* Fixed version number not always showing on about page

Version 1.5 Stable
Import
/ Updated product type parameters
/ Changed applying system limits only if value is greater than 0
* Fixed template import
* Fixed template fields import
+ Added template_name field to template fields import
- Removed converting HTML entities to real characters on product description
/ Update thumbnail creation check
* Fixed undefined errors when database structure is bad

Export
+ Added tab delimiter
* Fixed missing price_with_discount field
* Fixed template export not showing all templates
* Fixed template export in XML format no CDATA tag on cusom field value
+ Added template_name field to template fields import
+ Added disable Export button if no templates with fields are found
/ Fixed handling of templates with 0 fields in case the export gets called
/ Fixed file export to disk not UTF-8
/ Fixed Beslist.nl XML export to not include linebreaks for elements
/ Fixed errors showing up when no records are found to export
* Fixed undefined errors when database structure is bad

General
/ Updated license check
/ Updated installer to check if database can be read
/ Updated images

Version 1.5 RC 2
Import
+ Added default currency read from VirtueMart on Multiple Prices import
/ Fixed shopper groups ignored on Multiple Prices import
+ Added attributes tag to Product Import
+ Added product_sku tag to Multiple Prices import
+ Added shopper_group_name tag to Multiple Prices import
* Fixed products per row not working on category details import
- Removed UTF-8 conversion as it does more bad than good
+ Added first manufacturer is assigned to product when importing new products without manufacturer

Export
* Fixed filtering on address did not work for order and user info export
/ Changed loading of usernames to not load if there are more than 5000 users
+ Added disable export templates without fields
+ Added attributes tag to Product Export
+ Added product_sku tag to Multiple Prices export
+ Added shopper_group_name tag to Multiple Prices export
/ Fixed cron ignoring filepath set in general settings
* Fixed product type names export

Templates
+ Added missing text for non-existing images

General
* Fixed unclosed quotes in installation script
* Moved requirements checks to beginning of script
+ Added memory limits to sample templates
+ Added removal of images folder on un-installation as Joomla doesn't clean up
/ Updated install XML DTD
/ Changed license check
- Removed CURL requirement
/ Replaced license check on external server with license key

Version 1.5 RC 1
Import
* Fixed tax not associated with product
+ Added preview column to import selection screen
+ Added shopper details to user info import
* Fixed undefined errors in cron
* Fixed undefined errors on result page
* Fixed a bug in thumbnail creation where file is not found

Export
* Fixed undefined error on export result screen
/ Moved record grouping from order export to general settings
+ Added user address filter to user info export
+ Added user vendor filter to user info export
+ Added user permission filter to user info export
+ Added custom field to user info export
+ Added full_name field to user info export (combines first, middle and last name)
+ Added full_name field to order export (combines first, middle and last name)
+ Added discount_percentage field to order export (order_discount/order_total)
+ Added product_price_total field to order export (product_price*product_quantity)
+ Added total_order_items field to order export (counts number of items per order)
+ Added shopper details to user info export
* Fixed undefined errors in cron
* Fixed undefined errors on result page

Templates
+ Added auto increment value when adding template fields
/ Changed field size of column headers to give more space

Maintenance
* Fixed not deleting product type names tables > 9

General
+ Added links to the available fields online help pages
* Fixed pagination on available fields page
+ Added server address to About page
/ Updated license check for working locally

Version 1.5 beta 5
Import
/ Updated available fields for product import
+ Added changing product_weight commas to periods
+ Added changing product_length commas to periods
+ Added changing product_width commas to periods
+ Added changing product_height commas to periods
- Removed category details from product import

Export
/ Updated available fields for product export
* Fixed filename incorrect when downloading file
+ Added product type export
+ Added product type parameters export
+ Added product type names export
+ Added currency filter to order export
/ Changed some order export options to multiple select
- Removed category details from product export

Templates
* Fixed file location having mixed path separators

Version 1.5 beta 4
Import
* Fixed category_id not processed

Export
* Fixed file location not used when exporting to local file based on template
+ Added log entry when SQL query is incorrect
* Fixed product_parent_sku missing
* Fixed local file not saving in the correct folder
+ Added option to group records together on order export
+ Added option to select address type on order export
* Fixed missing product_sku, product_name on order export

Templates
* Fixed error message if no templates are created

General
* Fix icons not showing if installed in subfolder

Version 1.5 beta 3.0.1
General
/ Updated license check
* Fixed license expire date incorrectly shown

Version 1.5 beta 3
Import
* Fixed categories not added correctly
+ Added product_list

Export
* Fixed product_name export
/ Changed product_url to be enclosed in CDATA tags for XML exports
* Fixed custom field not handled in product export

Templates
* Fixed typo in Google Base template
* Fixed template list not always showing

General
/ Completely revised language file

Version 1.5 beta 2.2
Import
* Fixed manufacturer_name not being imported
* Fixed tax rate not being imported

Export
* Fixed category_name Category Details export
* Fixed category_path misssing from Category Details export

Templates
+ Added default system values for System Limits

General
* Fixed error messages when no logs exist

Version 1.5 beta 2.1
Import
+ Added check and warning if no templates exist
+ Added a default selected template

Export
+ Added check and warning if no templates exist
+ Added a default selected template
* Fixed missing category_path on product export
* Fixed missing number of fields

General
+ Added Romanian thanks to Danny

Version 1.5 beta 2
Import
+ Added option to append categories
/ Fixed bug where multiple categories per product were not imported

Export
+ Added order export by sold product

Templates
/ Fixed wrong save button

Version 1.5 beta 1.3
General
/ Moved the creation of the log object to the parts that use it

Version 1.5 beta 1.2
General
/ Updated license check
/ Update database table definition to prevent possible key length error

Version 1.5 beta 1.1
General
/ Updated license check

Version 1.5 beta 1
Import
+ Added price calculations for both regular and multiple prices import
+ Added price_with_tax
+ Added option to ignore non-existing products
+ Added manufacturer category ID
+ Added downloadable files option to Multiple Files import (product_files_download)
+ Added product_type_parameter_delete option
+ Added manufacturer_category_details import
- Removed 100 character limitation on import preview
+ Added support for ODS files (OpenOffice Spreadsheet)
+ Added check if cache folder is writable
* Fixed cron support
+ Added default values from template to preview
+ Added option to set default thumbnail format
+ Added user info import

Export
+ Added order export by order number
+ Added order export by date range
+ Added order export by order status
+ Added order export by price
+ Added order export by customer name
+ Added removal of linebreaks on export
+ Added export results to log table
* Fixed dates exporting as Unix timestamps
* Fixed cron support
+ Added XML support for Oodle.com
+ Added user info export
/ Drastically reduced memory usage on export

General
/ Converted to Joomla 1.5 codebase
+ Added logging storage
+ Added browseable list of available fields

Version 0.9
Import
* Fixed the product type parameters not able to update

Export
+ Added removal of linebreaks for product export
* Fixed discount start and end date to export as regular dates
* Fixed product type exports were broken
* product_thumb_image was exported as product_full_image

Templates
/ Changed field adding and removing to no longer use AJAX
/ Updated layout to specify add field section

General
/ Changed DB layout check to ensure DB structure consistency

Version 0.9 RC 1
Import
* Fixed multiple prices import to reset shopper groups
* Fixed Fatal error: Class 'product_files' not found in product type parameters

Templates
* Fixed template not being saved
* Fixed manufacturer selection got lost

Version 0.9 beta 2
Import
* Fixed conversion option lost
+ Add price field check if entry is numeric
* Fixed preview losing convert choice
* Fixed cron throwing a GetObject() on a non-object error

Export
* Fixed order export to include non-existing users
* Fixed export not exporting first record

Templates
* Fixed settings getting lost

General
/ Updated installer script

Version 0.9 beta 1
Import
+ Added cron import via command line
+ Added support for passwords without salt
+ Added warning if more than 1 product <--> manufacturer link exists
* Fixed manufacturer name not being escaped for database insert
* Fixed generic manufacturers created when only importing manufacturer ID
+ Added category_id
+ Added custom database fields from the #__vm_product table
+ Added support for CSVI XML
* Improved the file upload handling
/ Changed the preview layout

Export
* Fix price_with_discount using wrong discount
+ Added category_id
/ Updated Google Base XML for category paths
* Fix picture URL path
/ Updated product description for Google Base to always be filled
+ Added custom database fields from the #__vm_product table
+ Added support for CSVI XML
+ Added export per manufacturer for products

Templates
+ Added export filename
+ Added system limit settings
- Removed standard delimiters
+ Added wizard for adding and editing templates
/ Redo Field management
* Fix error when publishing no selected fields
/ Moved renumber icon from toolbar to field list

Languages
+ Added French translation by Michel Loriaut and Xavier Lemoine
/ Updated Spanish translation by Juan Ferrari
/ Updated Polish translation by Keran from Quarkbit Software

Version 0.8 Stable
Import
* Fixed attribute_values not properly added
* Fixed duplicate product_tax_id

Languages
/ Updated German language file thanks kaltokri

Version 0.8 RC 3
Export
+ Add user_id and product_id fields to order export
* Updated XML export by adding CDATA tags
* Added UTF-8 encoding to the Froogle XML export
/ Changed mf_name to manufacturer_name for order export
+ Added username to order export
* Fixed duplication of products on export
* Fixed category details export
/ Changed export filename to use template name

Import
* Fixed fatal error Call to undefined method CsviSupportedFields::FieldsProductTypeXref()
* Fixed cannot access empty property in the rpc file
* Fixed Fatal error: Call to undefined method CsviRegistry::CloneObje()
+ Added Create manufacturer link if none exists
* Fixed undefined $debug
* Fixed a timeout bug where max_execution_time is set to 0
* Fixed incorrect manufacturer <---> product links
* Fixed possible double vendor_id in add product query

Maintenance
/ Changed layout of maintenance page

General
* Fixed VirtueMart check

Version 0.8 RC 2.1
Export
* Fix layout of discounted price
* Fix exports giving blank files

Version 0.8 RC 2
Import
* Fixed product_parent_sku deleted on import
* Fixed Fatal error: Class 'product_files' not found on multiple prices import
- Removed product type cross reference import
+ Product type names spaces converted to underscores

Export
+ Added Order export
* Fix attribute_values for downloadables
* Fix incorrect fieldname for order export
+ Added manufacturer name to order export
- Removed product type cross reference export
+ Added record limits to all exports

Templates
+ Added page navigation to template list
+ Added filter to field page
+ Added alternate row colors on template and field page

General
* Merged the product type cross reference into product type names import

Version 0.8 RC 1
Import
* Fixed invalid reference in mime type detection
* Fixed preview mode broken with imported file only 5 lines
* Fixed debug reporting being overridden
* Fixed template fields import
* Fixed product discount id not being used
+ Added more details for import preview errors
* Fixed product files import
* Fixed import not reading fields correctly
/ Changed loading of template details now uses AJAX

Export
* Fix hardcoded table prefixes
+ Add manufacturer export
* Fixed incorrect column header
/ Changed loading of template details now uses AJAX

Templates
/ Changed template fields page to Joomla style
+ Added button to add custom field
* Standard thumb width and height set to 90x90

General
- Removed Help section
+ Added link to wiki (http://www.csvimproved.com/wiki/doku.php/)
+ Added AJAX support

Version 0.8 beta 6
Import
+ Added option to choose to convert encoding
+ Added check if iconv is available
+ Added BOM removal
+ Added check if memory_get_usage is available
* Fixed linenumbers not always showing
* Fixed the mdate/cdate import fields
+ Added default file location path to import template

Export
- Removed standard UTF-8 export, iconv might not be installed
* Fixed the export to file, not being able to write

General
- Removed PHP 4 support
+ Added check for PHP 5 installation

Version 0.8 beta 5
Import
+ Added filename to import results
+ Added button to return to import page on results page
+ Added manufacturer data import
/ Changed template list to only show import templates
+ Added table of site limits for import for user to check
+ Added check for maximum execution time
+ Added category details import
+ Added preview option for templates and template fields
+ Added character translation to UTF-8

Export
* Fixed missing delimiter on product price in CSV export
+ Added export limits
/ Changed template list to only show export templates
+ Added export per shopper group
+ Added export to local file
+ Added product url suffix
/ Changed product_url to force http
+ Added list of templates to export
/ Changed export to respect template fields
+ Added record limits to filename if used
+ Added category details export
/ Changed file encoding to be UTF-8
+ Added field to export discounted price
+ Added option to export published/unpublished/both products
- Removed full server path from imagename

Templates
+ Added tabs to clarify what options are meant for
+ Added thumbnail sizes for import
- Removed support for required field
+ Added option to clone templates
+ Added configurable file location for product files/product images
+ Added check if no more fields available to add
+ Added automatic field ordering
+ Added option to select state of products to export

Maintenance
* Fixed product type tables not being deleted
+ Added option to sort categories alphabetically

General
+ Added check if Virtuemart is installed
+ Added logging class
* Recoded import process
+ Added support for Virtuemart 1.1 display options
+ Added Italian translation by Crisalex
+ Added Joomla 1.5 support using legacy mode
+ Added CSVI standard templates

Version 0.8 beta 4.1
Import
* Fixed data not being processed
* Fixed txt file upload causing foreach error

Export
* Fixed &nbsp; not allowed in XML export

Version 0.8 beta 4
Import
* Fixed preview to show on all product imports
+ Added multiple prices import to also update prices
* Fixed not using default values
+ Added Excel support
* Fixed missing price_delete field
- Removed radiobutton selection
* Fixed field configuration not matching

Export
* Fixed bug with product discount that has too many delimiters
* Fixed default values not always used
* Fixed product_available_date not being exported correctly
* Fixed XML entities
/ Changed export filenames to be more descriptive
* Fixed invalid XML file header

General
* Cleaned up file import code to allow other filetypes to upload
+ Supported fields now being alphabetized

Version 0.8 beta 3
Import
+ Added tax value import
* Fixed import of category names with apostrophe
- Removed Empty Database option
- Removed the Price List Only Upload obsolete due to templates
/ Changed page layout
+ Added template import
+ Added template fields import

Export
* Fixed export not using CSVI configuration table
* Fixed product_available_date not adding field delimiter
/ Changed page layout
+ Added creation of product URL if there is none in the database
+ Added support for custom column names
+ Added template export
+ Added template fields export
+ Added picture url export
+ Added price with tax export
+ Added XML support for beslist.nl
+ Added XML support for froogle.com
* Fixed manufacturer_name and manufacturer_id

Templates
* Fixed fatal error on templates page
* Fixed bug available fields not selected on template ID
* Fixed bug where template fields were not deleted on template removal
* Fixed cancel returning to templates page showing no templates
/ Changed page layout
+ Added custom fields
+ Added a Froogle Export template

Maintenance
+ Added Empty Database option
+ Added Removal of orphaned fields
+ Added Optimization of the CSV Improved tables

General
+ Added Russian translation by Sbmart
+ Added Spanish translation by Joao
+ Added Polish translation by Jurek
+ Added German translation by Jingo
+ Added icons kindly supplied by Joao
/ Changed layout of program
+ Added maintenance page
/ Changed output totals to only show if count is greater than 0
* Choose language according to Joomla language setting
* Split the language file. Help texts are now separated from main texts

Version 0.8 beta 2.1
Import
* Fixed updating of discounts when field not used
* Fixed updating of prices when field not used
+ Added updating to product type names imports
* Fixed preview mode

Export
* Fixed product type export layout as it had an incorrect column header
* Fixed product type names export layout. Removed ^ at the end of the line

Version 0.8 beta 2
Import
* Fixed fatal error with manufacturer import

Export
/ Changed price export to drop trailing zeroes after second digit
* Order export on SKU
+ Added product type parameters export
+ Added product type names export

General
/ Changed tab system to use Joomla tabs
+ Added Joomla toolbar
- Removed deletion of tables on uninstall

Version 0.8 beta 1
Import
* Fixed product type details upload
* Fixed error where child products did not have a price set

Export
+ Added product type export
* Fixed export of customized ordering
+ Export now uses the template settings
/ Changed the types of export to match the types of import

Templates
/ Changed layout of templates
* Fixed " and ' as delimiter not showing
* Fixed skip first line not being updated

General
+ Converted CSV Improved into Joomla! component
* Added product_relations table to empty database list

Version 0.7.5
Import
* Fixed product adding error in certain cases
+ Added SQL Error reporting
/ Changed unsupported fields reporting
* Fixed bug with shopper group name if not specified
+ Added related products
+ Added multiple files
+ Added template system for import

General
+ Added attribute documentation
+ Created CSV Improved language file
+ Created CSV Improved CSS file
- Removed Dutch since the file is too old

Version 0.7.4
Import
* Fixed error "Missing argument 1 for product_details::ProcessDiscount()."
* Fixed first line of file not imported
* Fixed not adding or updating products
* Fixed category path not updated

Version 0.7.3
Import
- Removed product_discount_id
* Fixed child products upload
+ Added shopper group name to multiple prices upload
* Improved error handling on multiple prices upload
* Improved code for stabilizing import

Preview
* Removed Continue button when an error is encountered

General
* Updated language file
* Updated help texts

Version 0.7.2
Import
* Fixed error with field enclosure set to none
* Fixed error "Cannot break/continue ..."
* Fixed undefined variable

Configuration
* Fixed error with wrong datatype on saving the configuration

Version 0.7.1
Import
* Fixed product discount not being imported
* Fixed problem where download dialog pops up
* Fixed update of several fields not working
* Fixed price update if price is 0 or blank
* Re-added product_discount_id
* Fixed child products

Export
+ Added column headers to the Default ordering
* Export takes all fields as stated in configuration page

General
* Improved debug collection
* Fixed image not to display from front-end
* Fixed navigation bar in front-end after saving configuration
* Code rewrite export
- Removed required fields from configuration

Version 0.7
Import
+ Added field product_currency
+ Added option to import product types
+ Added option to import multiple prices per product
+ Added option to empty database
* Fixed skip first line with preview mode
* Fixed updating non-existing prices
* Fixed preview layout that is wider than the screen

Configuration
* Fixed Add Field button does not work
* Fixed problem with existing fields in csv table that are not supported

General
* Code rewrite
* Improved debug collection
* Updated Documentation tab
* Updated Available Fields tab

Translations
+ Added Dutch translation by giovi2002

Version 0.6.1
Import
* Fixed preview not working
* Fixed preview with Upload price list only
* Fixed preview with " or ' as enclosure character
* Fixed problem that uploaded file was always saved in cache folder

Version 0.6
Import
+ Added option to use column headers as configuration
+ Added option to preview import
+ Added option to collect debug information
* Improved support for child products
* Fixed bug with date import for product_available_date

Export
* Fixed broken export

General
* Replaced text input fields in configuration tab with dropdown menus for
  easier configuration
* Finalized changes Documentation page
+ Added the About page

Version 0.5.1
Import
* Fixed bug where Price List Upload only did not work because of not
  overwriting existing data

Version 0.5
Import
+ Added option to do a Upload price list only
* Only product_sku is mandatory now
* Fixed bug when using custom enclosure and/or delimeter
+ Added option to import manufacturers
* Fixed bug where product_publish was added twice to the SQL query
* Fixed bug where commas in product_price was not replaced with a period
* Fixed bug where all fields were imported

General
* Updated documentation

Version 0.4
Import
+ Added option to import product_available_date using a regular date format
+ Added option to import product_box
+ Added option to import product_packaging
+ Added option to import product discounts
* Fixed bug if product_publish is not used, items were not published
* Fixed bug if product_delete is not used, items were not added, import crashed

General
+ Added import statistics to the CSV upload result page
* Updated the message output on the CSV upload result page
* Updated localization
* Updated the descriptions on the Available Fields page

Version 0.3
Import
* Fixed if product_publish is empty, default is now set to Yes
* Fixed the vendor id. If no vendor is set, vendor id should be 1 instead of 0
+ Added a check for correct number of columns
+ Added option to choose not to overwrite existing data
+ Added option to skip the default value and not use the field in the update

Settings
/ Changed default field delimiter to ^ and text enclosure to ~

General
+ Added a link to the CSV import/export on the CSV upload result page
+ Added import flow description to readme.txt
* Updated the Available Fields page with the minimal required fields
* Updated the layout of the import/export tab

Version 0.2.1
Import
* Fixed a few undefined variables
* Fixed check for required fields

Version 0.2
Import
+ Allow empty fields
+ Made all fields from the product table optional except for product_id,
  product_sku, vendor_id, cdate, mdate, product_name.
+ Possibility to delete products on import

General
+ Added a tab with the possible fields that can be used including documentation
/ Changed layout of the result page
/ Changed font size on the description page so it reads better in Firefox.

Version 0.1
Import
+ Numbers imported with a comma are changed to a period for correct database
  insertion. This I found necessary since my locale uses comma as a seperator.
  The only thing I do not know/understand is, how to get a comma on the webshop
  frontend?
+ Imported data is sanitized for database insertion. This means that you can
  use regular HTML code in your long description or apostrophe in your products
  name for example.

Export
+ Removed backslashes from the export

Settings
+ Added the delimiter and field closure from Lauries Excel Generator
+ Added an inputbox for both the delimeter and field closure
+ Added an option to choose to add column headers

General
+ Renamed Field Required? to Field Included?
+ Made the system honor the choice to include or not include a field for export